<?php
/**
 * inland comment form msg field below
 */
function inland_move_comment_form_below( $fields ) { 
    $comment_field = $fields['comment']; 
    unset( $fields['comment'] ); 
    $fields['comment'] = $comment_field; 
    return $fields; 
} 
add_filter( 'comment_form_fields', 'inland_move_comment_form_below' ); 

/**
 * inland comment list style
 */
function inland_comment_callback($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
	switch( $comment->comment_type ) :
	    case 'pingback' :
        case 'trackback' : ?>
            <li <?php comment_class(); ?> id="comment<?php comment_ID(); ?>">
            <div class="back-link"><?php comment_author_link(); ?></div>
        <?php break;
        default : 
		if ( 'div' === $args['style'] ) {
			$tag       = 'div';
			$add_below = 'comment';
		} else {
			$tag       = 'li';
			$add_below = 'div-comment';
		}
	?>

    <<?php echo esc_html($tag); ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ); ?> id="comment-<?php comment_ID() ?>"><?php 
        if ( 'div' != $args['style'] ) { ?>
             <div id="div-comment-<?php comment_ID() ?>" class="comment-body ms-comment-section it-profile-box">
                
        <?php } ?>
        <div class="comment-author vcard comment-img it-user-profile"><?php 
			if ( $args['avatar_size'] != 0 ) {
				echo get_avatar( $comment, $args['avatar_size'] ); 
			} 
		?>
        </div>
        <?php 
        if ( $comment->comment_approved == '0' ) { ?>
			<em class="comment-awaiting-moderation"><?php esc_html_e( 'Your comment is awaiting moderation.','inland'); ?></em><?php 
		} ?>
        <div class="comment-meta commentmetadata comment-info it-user-text">	
            <div class="comment-head">
			    <h5><?php printf( __('%s', 'inland' ), get_comment_author_link() ); ?>
					<span>
						<?php
						/* translators: 1: date, 2: time */
						printf( 
							
							esc_html__('%1$s at %2$s', 'inland'), 

							get_comment_date(),  

							get_comment_time() 

						   );
						?>
					<?php 
					edit_comment_link( esc_html__('(Edit)', 'inland'), '  ', '' ); 
					?>
					</span>
                </h5>
            </div>
			<div class="inland-comment-text">
			 <?php comment_text(); ?>
			</div>
			<?php 
				comment_reply_link( 
					array_merge( 
						$args, 
						array( 
							'add_below' => $add_below, 
							'depth'     => $depth, 
							'max_depth' => $args['max_depth'],
							'reply_text' => wp_kses('Reply',true),
							'before' => '<div class="reply comment-reply">',
							'after'=> '</div>'
						) 
					) 
				); 
				?>
		</div>
		<?php 
		if ( 'div' != $args['style'] ) : ?>
		</div>
		 <?php 
		endif;
	break;
endswitch;
}