<?php
/**
 * Theme Option Setting Class
 */
class Inland_Themesetting{
	/**
	 * class construct
	 */
	public function __construct(){
		/**
		 * Get theme setting data
		 */
		$this->inland_theme_data = '';
		if(function_exists('fw_get_db_settings_option')):
			$this->inland_theme_data = fw_get_db_settings_option();
		endif;
		/**
		 * Get meta setting data
		 */
		$this->inland_meta_data = '';
		if(function_exists('fw_get_db_post_option')):
			$this->inland_meta_data = fw_get_db_post_option();
		endif;
	}
	/**
	 * Header page setting
	 */
	public function inland_header_setting(){
		$themeoption_data = '';
		if(!empty($this->inland_theme_data)):
			$themeoption_data = $this->inland_theme_data;
		endif; 
		$loader_option = '';
		if(!empty($themeoption_data['loader'])){
		    $loader_option = $themeoption_data['loader'];
		}
		else{
		    $loader_option = "on";
		}
		$loader_image = '';
		if(!empty($themeoption_data['loader_image']['url'])){
		    $loader_image = $themeoption_data['loader_image']['url'];
		}
		else{
		    $loader_image = get_template_directory_uri().'/assets/images/loader.gif';
		}
		if($loader_option == "on"){
		?>
		<div class="preloader">
            <div class="status">
            	<img src="<?php echo esc_url($loader_image);?>" alt="loader">
            </div>
        </div>
		<?php
		}
		$header_option = '';
		if(!empty($themeoption_data['select-header'])){
		    $header_option = $themeoption_data['select-header'];
		}
		if($header_option == 'header-1'){
			get_template_part( 'vendor/headers/inland-header-one', 'header');
		}else{
		get_template_part( 'vendor/headers/inland-default', 'header');
		}
	}
	/**
	 * Footer page setting
	 */
	public function inland_footer_setting(){
		$themeoption_data = '';
		if(!empty($this->inland_theme_data)):
			$themeoption_data = $this->inland_theme_data;
		endif;
		$cust_option = '';
		if(class_exists('Inland_customsetting')):
		  $cust_option = new Inland_customsetting();
		  $cust_option->inland_search_setting();
		  $cust_option->inland_login_setting();
		  $cust_option->inland_register_setting();
		  $cust_option->inland_woocommerce_mincart();
		endif;
		
		get_template_part('vendor/footers/inland-default','footer');
	}
	/**
	 * Index page Setting
	 */
	public function inland_index_blog($pageid){
		$themeoption_data = '';
		if(!empty($this->inland_theme_data)):
			$themeoption_data = $this->inland_theme_data;
        endif;
        if(function_exists('inland_breadcrumbs_setting')):
	       inland_breadcrumbs_setting($pageid);
    	endif;
		echo '<div class="it-blog-category it-unite-blog"> 
				<div class="container">
					<div class="row">';
					$sidebar_position = '';
					if(!empty($themeoption_data['sidebar_position'])):
						$sidebar_position = $themeoption_data['sidebar_position'];
					else:
						$sidebar_position = esc_html__('right','inland');
					endif;
					if(! is_active_sidebar( 'sidebar-1' )):
						$sidebar_position = esc_html__('full', 'inland');
					endif;
					if($sidebar_position == 'full'):
						echo '<div class="col-lg-12 col-md-12">';
					else:
					    
						if($sidebar_position == 'left'):
							echo '<div class="col-lg-8 col-md-12 order-lg-2">
							';
						else:
							echo '<div class="col-lg-8 col-md-12">';
						endif;
						echo '<div class="inland-blog-main">';
					endif;
						if ( have_posts() ) :
						
							/* Start the Loop */
							while ( have_posts() ) :
								the_post();
								if(is_search()):
									get_template_part( 'template-parts/content', 'search' );
								else:
									get_template_part( 'template-parts/content', get_post_type() );
								endif;
							endwhile;
							echo '<div class="blog-pagination-section">';
                            inland_blogtemp_pagination();
                    		echo '</div>';
						else :
							get_template_part( 'template-parts/content', 'none' );
						endif;
						echo '</div>'; 
						if($sidebar_position == 'left'):
						    echo '</div>
							      <div class="col-lg-4 col-md-12 order-lg-1">
									<div class="it-blog-sidebar">';
						        	get_sidebar();
							echo '</div>
							</div>';
						endif;
					    if($sidebar_position == 'right'):
							echo '</div>
							       <div class="col-lg-4 col-md-12">
									 <div class="it-blog-sidebar">';
							           get_sidebar();
							     echo '</div>
							     </div>';
						endif;
					echo '</div>
				</div>
		</div>';
	}
	/**
	 * pages page Setting
	 */
    public function inland_pages_setting($pageid){
		$inland_meta_data = '';
		if(!empty($this->inland_meta_data)):
			$inland_meta_data = $this->inland_meta_data;
        endif;
        $breadcrumbs_switch = '';
        if(!empty($inland_meta_data['page_breadcrumbs_switch'])):
           $breadcrumbs_switch = $inland_meta_data['page_breadcrumbs_switch'];
        else:
           $breadcrumbs_switch = esc_html__('on','inland');  
        endif;
        if($breadcrumbs_switch == 'on'):
            if(function_exists('inland_breadcrumbs_setting')):
    	       inland_breadcrumbs_setting($pageid);
        	endif;
    	endif;
		echo '<div class="it-blog-category"> 
		        <div class="container">
				<div class="row">';
				$sidebar_position = '';
				if(!empty($inland_meta_data['page_sidebar'])):
					$sidebar_position = $inland_meta_data['page_sidebar'];
				else:
					$sidebar_position = esc_html__('right','inland');
				endif;
				if(! is_active_sidebar( 'sidebar-1' )):
					$sidebar_position = esc_html__('full', 'inland');
				endif;
				if($sidebar_position == 'full'):
					echo '<div class="col-lg-12 col-md-12">';
				else:
					if($sidebar_position == 'left'):
						echo '<div class="col-lg-8 col-md-12 order-lg-2">';
					else:
						echo '<div class="col-lg-8 col-md-12">';
					endif;
					echo '<div class="inland-blog-main">';
				endif;	
				while ( have_posts() ) :
					the_post();
					get_template_part( 'template-parts/content', 'page' );
					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
				endwhile; // End of the loop.						
					echo '</div>';
					if($sidebar_position == 'left'):
					    
						echo '</div>
					         <div class="col-lg-4 col-md-12 order-lg-1">
								<div class="it-blog-sidebar">';
					         	 get_sidebar();
						echo '</div></div>';
					endif;
					if($sidebar_position == 'right'):
						echo '</div>
						      <div class="col-lg-4 col-md-12">
								<div class="it-blog-sidebar">';
						        get_sidebar();
						echo '</div>
						</div>';
					endif;
				echo '</div>
			  </div>
		  </div>';		
	}
	/**
	 * Single page Setting
	 */
	public function inland_blog_single_setting($pageid){
		$inland_meta_data = '';
		if(!empty($this->inland_meta_data)):
			$inland_meta_data = $this->inland_meta_data;
        endif;
        $breadcrumbs_switch = '';
        if(!empty($inland_meta_data['post_breadcrumbs_switch'])):
          $breadcrumbs_switch = $inland_meta_data['post_breadcrumbs_switch'];
        else:
           $breadcrumbs_switch = 'on';
        endif;
        if($breadcrumbs_switch == 'on'):
            
        if(function_exists('inland_breadcrumbs_setting')):
	       inland_breadcrumbs_setting($pageid);
    	endif;
    	endif;
        echo '<div class="it-blog-category"> 
				<div class="container">
					<div class="row">';
						$sidebar_position = '';
						if(!empty($inland_meta_data['post_sidebar'])):
							$sidebar_position = $inland_meta_data['post_sidebar'];
						else:
							$sidebar_position = esc_html__('right','inland');
						endif;
						if(! is_active_sidebar( 'sidebar-1' )):
							$sidebar_position = esc_html__('full', 'inland');
						endif;
						if($sidebar_position == 'full'):
							echo '<div class="col-lg-12 col-md-12">';
						else:
							if($sidebar_position == 'left'):
								echo '<div class="col-lg-8 col-md-12 order-lg-2">';
							else:
								echo '<div class="col-lg-8 col-md-12">';
							endif;
							echo '<div class="inland-blog-main">';
						endif;	
						while ( have_posts() ) : the_post();
                    		echo '<div class="it-blog-box">';
			                        get_template_part( 'template-parts/content', 'single');
			                           // If comments are open or we have at least one comment, load up the comment template.
			            			   if(comments_open() || get_comments_number() ) :
			            			      comments_template();
			            			   endif;
					        echo '</div>';
			      	    endwhile; // End of the loop.
			      	echo '</div>';
					if($sidebar_position == 'left'):
						echo '</div><div class="col-lg-4 col-md-12 order-lg-1">
								<div class="it-blog-sidebar">';
						get_sidebar();
						echo '</div></div>';
					endif;
					if($sidebar_position == 'right'):
						echo '</div><div class="col-lg-4 col-md-12">
								<div class="it-blog-sidebar">';
						get_sidebar();
						echo '</div></div>';
					endif;
		echo '</div>
		</div>
    </div>';		
    }
	/**
	 * 404 setting
	 */
	public function inland_404_setting($pageid){
		$themeoption_data = '';
		if(!empty($this->inland_theme_data)):
			$themeoption_data = $this->inland_theme_data;
		endif;
		
        if(function_exists('inland_breadcrumbs_setting')):
	       inland_breadcrumbs_setting($pageid);
    	endif;
    	
		$err_title = '';
		if(!empty($themeoption_data['err_title'])):
			$err_title = $themeoption_data['err_title'];
		else:
           $err_title = esc_html__('Oops... Page Not Found','inland');
		endif;
		
		$error_404_desc = '';
		if(!empty($themeoption_data['error_404_desc'])):
			$error_404_desc = $themeoption_data['error_404_desc'];
		else:
           $error_404_desc = esc_html__('Do not Worry. Back To Previous Page','inland');
		endif;
		
		$emptypageimage = '';
		if(!empty($themeoption_data['emptypageimage'] ['attachment_id'])):
			$attachment_id = $themeoption_data['emptypageimage'] ['attachment_id'];
			$image_url = wp_get_attachment_url($attachment_id, 'full');
			$emptypageimage = inland_aq_resize($image_url, 913, 322, false);
		else:
		   $emptypageimage = get_template_directory_uri().'/assets/images/error_white.png';	
		endif;
		?>
		
		<div class="it-error-dark">
			<div class="container">
				<div class="it-error-four">
				<?php 
					if(!empty($emptypageimage)):
					?>
					<img src="<?php echo esc_url($emptypageimage); ?>" class="img-fluid" alt="<?php  esc_attr_e('error-img', 'inland');?>"/>
					<?php endif; 
					if(!empty($err_title)):
					echo '<h1>' . esc_html($err_title) . '</h1>';
					endif; 
					if(!empty($error_404_desc)):
					echo '<p>' . wp_kses($error_404_desc,true) . '</p>';
					endif; ?>
					<a href="<?php echo esc_url(home_url('/')); ?>" class="it-btn it-btn-two"><?php esc_html_e('back to home', 'inland'); ?><span class="btn-caret"><i class="fas fa-caret-right"></i></span></a>
				</div>
			</div>							
		</div>
		
		<?php
	}
        
        
    /**
	 * theme-color option
	 */
	public function inland_colors_option(){
    $themeoption_data = '';
    if(!empty($this->inland_theme_data)):
       $themeoption_data = $this->inland_theme_data;
    endif;
    $demoStyle = '';
    if(!empty($themeoption_data['demo-color'])):
      $demoStyle = $themeoption_data['demo-color'];
    endif;
    	switch($demoStyle){
        case 1:
            wp_enqueue_style( 'inland-custom-style', get_template_directory_uri() . '/assets/css/inland-custom-style.css', array(), '20151215', 'all' );
            break;
        case 2:
            wp_enqueue_style( 'demo3', get_template_directory_uri() . '/assets/css/demo-style/demo2.css', array(), '20151215', 'all' );
            break;
        case 3:
            wp_enqueue_style( 'demo4', get_template_directory_uri() . '/assets/css/demo-style/demo3.css', array(), '20151215', 'all' );
            break;
        case 4:
            wp_enqueue_style( 'demo4', get_template_directory_uri() . '/assets/css/demo-style/demo4.css', array(), '20151215', 'all' );
           break;
        case 5:
            wp_enqueue_style( 'demo5', get_template_directory_uri() . '/assets/css/demo-style/demo5.css', array(), '20151215', 'all' );
           break;
        default:
           wp_enqueue_style( 'inland-custom-style', get_template_directory_uri() . '/assets/css/inland-custom-style.css', array(), '20151215', 'all' );
        }   
        $rtl_mode = '';
    if(!empty($themeoption_data['rtl_mode'])):
	    $rtl_mode = $themeoption_data['rtl_mode'];
    endif;
        if($rtl_mode == 'on'){
        wp_enqueue_style( 'rtl', get_template_directory_uri() . '/assets/css/rtl.css', array(), '20151215', 'all' );
    }
	} 
}
?>