<?php
/**
 * Enqueue scripts and styles.
 */
function inland_theme_scripts() {
	
	/** 
     * style
     */
    wp_enqueue_style( 'inland-style', get_stylesheet_uri() );

	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/assets/css/bootstrap.min.css', array(), '20151215', 'all' );
	
	wp_enqueue_style( 'inland-font', get_template_directory_uri() . '/assets/css/font.css', array(), '20151215', 'all' );
	
    wp_enqueue_style( 'bootstrap-datepicker', get_template_directory_uri() . '/assets/css/bootstrap-datepicker.min.css', array(), '20151215', 'all' );
	
	wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/assets/css/fontawesome.min.css', array(), '20151215', 'all' );
	
	wp_enqueue_style( 'swiper', get_template_directory_uri() . '/assets/css/swiper.min.css', array(), '20151215', 'all' );
	 
	wp_enqueue_style( 'animate', get_template_directory_uri() . '/assets/css/animate.css', array(), '20151215', 'all' );
	
	wp_enqueue_style( 'magnific-popup', get_template_directory_uri() . '/assets/css/magnific-popup.css', array(), '20151215', 'all' );
	
  	wp_enqueue_style( 'nice-select', get_template_directory_uri() . '/assets/css/nice-select.css', array(), '20151215', 'all' );
	
	wp_enqueue_style( 'range', get_template_directory_uri() . '/assets/css/range.css', array(), '20151215', 'all' );
	
	//color settings
	$inland_setting = '';
    if(class_exists('Inland_themesetting')): 
        $inland_setting = new Inland_themesetting();
        /** * color css */
        $theme_option = '';
        if(!function_exists('inland_colors_option')):
           $theme_option = $inland_setting->inland_colors_option();
        endif;
    endif;

	 /**  
	  * scripts
	  */

	wp_enqueue_script( 'tilt', get_template_directory_uri() . '/assets/js/tilt.js', array('jquery'), '20151215', true );

	wp_enqueue_script( 'bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.js', array('jquery'), '20151215', true );
			
	wp_enqueue_script( 'popper', get_template_directory_uri() . '/assets/js/popper.min.js', array('jquery'), '20151215', true );
		
	wp_enqueue_script( 'bootstrap-datepicker', get_template_directory_uri() . '/assets/js/bootstrap-datepicker.min.js', array('jquery'), '20151215', true );
		
	wp_enqueue_script( 'swiper', get_template_directory_uri() . '/assets/js/swiper.min.js', array('jquery'), '20151215', true );
		
	wp_enqueue_script( 'isotope-pkgd', get_template_directory_uri() . '/assets/js/isotope.pkgd.min.js', array('jquery'), '20151215', true );
		
	wp_enqueue_script( 'jquery-magnific-popup', get_template_directory_uri() . '/assets/js/jquery.magnific-popup.min.js', array('jquery'), '20151215', true );
		
	wp_enqueue_script( 'jquery-appear', get_template_directory_uri() . '/assets/js/plugin/countto/jquery.appear.js', array('jquery'), '20151215', true );
		
	wp_enqueue_script( 'jquery-countTo', get_template_directory_uri() . '/assets/js/plugin/countto/jquery.countTo.js', array('jquery'), '20151215', true );
		
	wp_enqueue_script( 'inland-custom', get_template_directory_uri() . '/assets/js/inland-custom.js', array('jquery'), '20151215', true );
		
	wp_enqueue_script( 'nice-select', get_template_directory_uri() . '/assets/js/nice-select.min.js', array('jquery'), '20151215', true );
		
	wp_enqueue_script( 'range', get_template_directory_uri() . '/assets/js/range.js', array('jquery'), '20151215', true );
		
	wp_enqueue_script( 'inland-navigation', get_template_directory_uri() . '/assets/js/navigation.js', array('jquery'), '20151215', true );

	wp_enqueue_script( 'inland-smothscroll', get_template_directory_uri() . '/assets/js/SmoothScroll.min.js', array('jquery'), '20151215', true );
	
	wp_enqueue_script( 'inland-skip-link-focus-fix', get_template_directory_uri() . '/assets/js/skip-link-focus-fix.js', array('jquery'), '20151215', true );

		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
} 
add_action( 'wp_enqueue_scripts', 'inland_theme_scripts' );