<?php
/**
 * inland plugins
 */
require get_template_directory() . '/vendor/theme-plugins/inland-plugin-activate-config.php';
/**
 * Inland Enqueue
 */
require get_template_directory() . '/vendor/include/inland-enqueue.php';
/**
 * Inland resizer
 */
require get_template_directory() . '/vendor/include/inland-aq-resizer.php';

/**
 * woocommerce custom function
 */
 require get_template_directory() . '/woocommerce/inland-woocommerce-function.php';
/**
 * inland comments
 */    
require get_template_directory() . '/vendor/include/inland-comment.php'; 
/**
 * get authore id
 */ 
if(!function_exists('inland_authore_id')):
    function inland_authore_id(){
       global $post;
       $author_id = $post->post_author; 
       return $author_id;
    }
endif;
/**  
 * get_the_excerpt
 */ 
if(!function_exists('inland_the_excerpt')):
    function inland_the_excerpt($charlength) {
    	 $excerpt = get_the_excerpt();
    	 $charlength++;
         if ( mb_strlen( $excerpt ) > $charlength ):
    		$subex = mb_substr( $excerpt, 0, $charlength - 5 );
    		$exwords = explode( ' ', $subex );
    		$excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
    		if ( $excut < 0 ):
    			 echo mb_substr( $subex, 0, $excut );
    		else :
    		   echo esc_html($subex);
    	    endif;
    		   echo esc_html__('','inland');
    	    else :
    		  echo esc_html($excerpt);
    	  endif;
    }
endif;
/**  
 * get_the_title
 */ 
if(!function_exists('inland_the_title')):
    function inland_the_title($charlength) {
        $excerpt = get_the_title();
        $charlength++;
        if ( mb_strlen( $excerpt ) > $charlength ):
           $subex = mb_substr( $excerpt, 0, $charlength - 5 );
           $exwords = explode( ' ', $subex );
           $excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
           if ( $excut < 0 ):
                echo mb_substr( $subex, 0, $excut );
           else :
              echo esc_html($subex);
           endif;
              echo esc_html__('','inland');
           else :
             echo esc_html($excerpt);
         endif;
    }
endif;
/**
 * breadcrumbs setting
 */  
if(!function_exists('inland_breadcrumbs_setting')):
    function inland_breadcrumbs_setting($pageid){
        $inland_theme_data = '';
        if (function_exists('fw_get_db_settings_option')):	
           $inland_theme_data = fw_get_db_settings_option();
        endif; 
        $breadcrumbs_switch = '';
        if(!empty($inland_theme_data['breadcrumbs']['gadget'])):
           $breadcrumbs_switch = $inland_theme_data['breadcrumbs']['gadget'];
        else:
            $breadcrumbs_switch = esc_html__('on','inland');
        endif;
        $bg_image = '';
        if (!empty( $inland_theme_data['breadcrumbs']['on']['breadcrubs_img'] ) && ! empty( $inland_theme_data['breadcrumbs']['on']['breadcrubs_img']['url'] ) ):
        	$bg_image = 'background-image:url(' . $inland_theme_data['breadcrumbs']['on']['breadcrubs_img']['url'] . ');';
        endif;
        $section_style  = ($bg_image) ? 'style="'. esc_attr($bg_image) . '"' : '';
        if($breadcrumbs_switch == 'on'): 
        ?> 
        <div class="it-about-page-title" <?php printf($section_style); ?>> 
    		<div class="container">
    			<div class="row">
    				<div class="col-lg-12 col-md-12 col-sm-12 col-12">
    					<div class="it-bread-crumbs">
    					<?php 
    				    echo '<h1>';
                            if(is_home() && have_posts()) :
                              esc_html_e('Blog','inland');
                            endif;
                            if(is_page()):
                                while(have_posts()) : the_post();
                                   the_title();
                                endwhile;
                            endif;
                            if(is_single()): 
                              if(get_post_type( get_the_ID() ) == 'product'):
                                 esc_html_e('Product Details','inland');
                              else:
                                the_title();
                              endif;
                            endif;
                            if(class_exists( 'WooCommerce' ) ):
                                if(is_shop()):
                                    esc_html_e('Shop','inland');
                                else:
                                if(is_archive()):
                                    the_archive_title();
                                endif;
                               endif;
                            else:
                            if(is_archive()):
                              the_archive_title();
                            endif; 
                            endif;
                            if(is_search()):
                                printf( esc_html__( 'Search Results for: %s', 'inland' ), '<span>'.get_search_query().'</span>' );
                            endif;
                            if(is_404()):
                                esc_html_e('404 Not Found','inland');
                            endif;
                        echo '</h1>';
                        ?>
    					</div>
    					<div class="it-home-crumbs">
    						<?php 
    					     if(function_exists('fw_ext_breadcrumbs')) { 
    						   echo fw_ext_breadcrumbs(); 
    					     }
    						?>
    					</div>
    				</div>
    			</div>
    		</div>
    	</div>
      <?php
     endif;
    }
endif;

/**
 * inland function for get all Songs of album
 */
if( ! function_exists('inland_list_all_pages') ):
    function inland_list_all_pages(){
        $all_pages = get_pages();
        $pages = array('' => 'Select page');

        if($all_pages):
            foreach ( $all_pages as $all_page ): 
                $pages[$all_page->ID] = $all_page->post_title;
            endforeach; 
        endif;

        return $pages;
    }
endif;

/**
 * Inland Menu Editor Funcation
 */
 if(!function_exists('inland_menu_editor')){

	function inland_menu_editor($args){
       
	   if ( ! current_user_can( 'manage_options' ) ){
           return;
        }
        /* see wp-includes/nav-menu-template.php for available arguments */
        extract( $args );
        $link = $link_before
             . '<a href="' .admin_url( 'nav-menus.php' ) . '">'.$before.esc_html__('Add a menu','inland').$after.'</a>'
            . $link_after;
        /* We have a list */
        if ( FALSE !== stripos( $items_wrap, '<ul' )

			or FALSE !== stripos( $items_wrap, '<ol' )

		) {
        $link = "<li>$link</li>";
        }
        $output = sprintf( $items_wrap, $menu_id, $menu_class, $link );
        if ( ! empty ( $container ) ){
           $output  = "<$container class='$container_class' id='$container_id'>$output</$container>";
        }
        if ( $echo ){
           echo "$output";
        }
        return $output;

	}

}

//Instagram Feed Admin Menu
function register_inland_custom_menu_page() {
    add_menu_page(
        __( 'Instagram Feed', 'inland' ),
        'Instagram Feed',
        'manage_options',
        'instagram-feed',
        'instagram_feed_admin_screen',
        'dashicons-instagram'
    );
}
add_action( 'admin_menu', 'register_inland_custom_menu_page' );

function instagram_feed_admin_screen(){

	if(isset($_POST['submit'])){
		$data['client_id'] = !empty($_POST['client_id']) ? $_POST['client_id'] : '';
		$data['client_secret'] = !empty($_POST['client_secret']) ? $_POST['client_secret'] : '';
		
		update_option( 'inland_insta_credentials', $data );
	}
	//echo $_GET['upd'];
	$cred = get_option('inland_insta_credentials');
	$id = !empty($cred['client_id']) ? $cred['client_id'] : '';
	$secret = !empty($cred['client_secret']) ? $cred['client_secret'] : '';
	$redirect_uri = get_template_directory_uri() . '/vendor/instagram-response.php';
	
	echo '<div class="wrap">
		<h1>Instagram Feed</h1>';
		if(isset($_GET['upd']) && $_GET['upd'] == '1'){
			echo '<p style="color:green;font-size: 14px;font-weight: 500;">'.esc_html__('The Instagram feed has been loaded successfully. To publish the feed to the site, kindly navigate your preferred page and add Instagram Feed widget.').'</p>';
		}else{
			echo '<p style="color:red;font-size: 14px;font-weight: 500;">'.esc_html__('Instagram data has not been updated because the system has not founded any new data from Instagram.').'</p>';
		}
		echo '<form method="post" action="" novalidate="novalidate">
			<table class="form-table" role="presentation">
				<tbody>
					<tr>
						<th scope="row"><label for="client_id">Client ID</label></th>
						<td><input name="client_id" type="text" id="client_id" value="'.$id.'" class="regular-text"><p class="description">Please follow the below help section to get the credentials.</p></td>
					</tr>
					<tr>
						<th scope="row"><label for="client_secret">Client Secret</label></th>
						<td><input name="client_secret" type="text" id="client_secret" value="'.$secret.'" class="regular-text"><p class="description">Please follow the below help section to get the credentials.</p></td>
					</tr>
				</tbody>
			</table>
			<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>';
			
			if(!empty($id) && !empty($secret)){
				echo '<a href="https://api.instagram.com/oauth/authorize?client_id='.$id.'&redirect_uri='.$redirect_uri.'&scope=user_profile,user_media&response_type=code" class="button button-primary">Load Feed</a>';
				echo '<p><strong>Note: </strong>25 most recent posts can be loaded. You have to click the "Load Feed" button each time if you want to fetch the new posts from your Instagram account.</p>';
			}
			
		echo '</form>
		<div class="insta_help">
			<h3>Before You Start</h3>
			<p>You will need:</p>
			<ul>
				<li>A <a href="https://developers.facebook.com/apps" target="_blank">Facebook Developer Account.</a></li>
				<li>An <a href="https://www.instagram.com/" target="_blank">Instagram account</a> with media.</li>
			</ul>
			<p><a href="https://developers.facebook.com/docs/instagram-basic-display-api/getting-started" target="_blank">Click here</a> to setup the app and follow the step 1 to 3.</p>
			<p><strong>Note: </strong>During the app setup, Facebook will ask "Redirect URL". For this, you have to use this URL '.get_template_directory_uri() . '/vendor/instagram-response.php</p>
		</div>
	</div>';
}