<?php if (!defined('FW')) die('Forbidden');
wp_enqueue_style(
    'theme-shortcode-button',
    fw_ext('shortcodes')->locate_URI('/shortcodes/button/static/css/styles.css')
);
if (!function_exists('_action_theme_shortcode_button_enqueue_dynamic_css')):
    /**
     * @internal
     * @param array $data
     */
    function _action_theme_shortcode_button_enqueue_dynamic_css($data) {
        $shortcode = 'button';
        $atts = shortcode_parse_atts( $data['atts_string'] );
        $atts = fw_ext_shortcodes_decode_attr($atts, $shortcode, $data['post']->ID);
        if(!empty($atts['btn_alignment'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['align_id'] .'{ '.
                'text-align: '. $atts['btn_alignment'].';'.
            ' } '
        );
        endif;
        if(!empty($atts['btn_background'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['id'] .' { '.
                'background: '. $atts['btn_background'].';'.
            ' } '
        );
        endif;
        if(!empty($atts['btn_color'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['id'] .' { '.
                'color: '.$atts['btn_color'].';'.
            ' } '
        );
        endif;
        if(!empty($atts['btn_color'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['id'] .':hover { '.
                'background: '. $atts['btn_color'].';'.
            ' } '
        );
        endif;
        if(!empty($atts['ht_color'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['id'] .':hover { '.
                'color: '. $atts['ht_color'].';'.
            ' } '
        );
        endif;
        if(!empty($atts['hb_bgcolor'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['id'] .':before { '.
                'background: '. $atts['hb_bgcolor'] .';'.
            ' } '
        );
        endif;
        if(!empty($atts['button_design']['style_two']['icon_bgcolor'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['icon_id'] .' { '.
                'background: '. $atts['button_design']['style_two']['icon_bgcolor'] .';'.
            ' } '
        );
        endif;
        if(!empty($atts['button_design']['style_two']['border_color'] )):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['icon_id'] .' { '.
                'border-right: 1px solid '. $atts['button_design']['style_two']['border_color'] .';'.
            ' } '
        );
        endif;
        if(!empty($atts['button_design']['style_two']['icon_hbgcolor'] )):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['icon_id'] .':hover { '.
                'background: '. $atts['button_design']['style_two']['icon_hbgcolor'] .';'. 
            ' } '
        );
        endif;
    }
    add_action(
        'fw_ext_shortcodes_enqueue_static:button',
        '_action_theme_shortcode_button_enqueue_dynamic_css'
    );
endif;