<?php if (!defined('FW')) die('Forbidden');
wp_enqueue_style(
    'theme-shortcode-heading',
    fw_ext('shortcodes')->locate_URI('/shortcodes/heading/static/css/styles.css')
);
if (!function_exists('_action_theme_shortcode_heading_enqueue_dynamic_css')):  
    /**
     * @internal
     * @param array $data
     */
    function _action_theme_shortcode_heading_enqueue_dynamic_css($data) {
        $shortcode = 'heading';
        $atts = shortcode_parse_atts( $data['atts_string'] );
        $atts = fw_ext_shortcodes_decode_attr($atts, $shortcode, $data['post']->ID);
        if(!empty($atts['heading_alignment'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['align_id'] .' { '.
                'text-align: '. $atts['heading_alignment'] .';'.
            ' } '
        );
        endif;
        if(!empty($atts['heading_color'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['id'] .' { '.
                'color: '. $atts['heading_color'] .';'.
            ' } '
        );
        endif;
        if(!empty($atts['h_fontsize'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['id'] .' { '.
                'font-size: '. $atts['h_fontsize'] .'px ;'.
            ' } '
        );
        endif;
        if(!empty($atts['line_height'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['id'] .' { '.
                'line-height: '. $atts['line_height'] .'px ;'.
            ' } '
        );
        endif;
        if(!empty($atts['subheading_color'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['sub_id'] .' { '.
                'color: '. $atts['subheading_color'] .';'.
            ' } '
        );
        endif;
        if(!empty($atts['sub_fontsize'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['sub_id'] .' { '.
                'font-size: '. $atts['sub_fontsize'] .'px ;'.
            ' } '
        );
        endif;
        if(!empty($atts['heading_style']['style_one']['backheading_color'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['backh_id'] .' { '.
                'color: '. $atts['heading_style']['style_one']['backheading_color'] .';'.
                'font-size: '. $atts['heading_style']['style_one']['bh_fontsize'] .'px ;'.
            ' } '
        );
        endif;
        if(!empty($atts['heading_style']['style_one']['bh_fontsize'])):
        wp_add_inline_style(
            'theme-shortcode-'. $shortcode,
            '#shortcode-'. $atts['backh_id'] .' { '.
                'font-size: '. $atts['heading_style']['style_one']['bh_fontsize'] .'px ;'.
            ' } '
        );
        endif;
    }
    add_action(
        'fw_ext_shortcodes_enqueue_static:heading',
        '_action_theme_shortcode_heading_enqueue_dynamic_css'
    );
endif;