<?php  
/**
 * inland user login form
 */ 
if(!function_exists('inland_user_login_form')):
add_action('wp_ajax_inland_user_login_form', 'inland_user_login_form');
add_action('wp_ajax_nopriv_inland_user_login_form', 'inland_user_login_form');
function inland_user_login_form(){
    if(isset($_POST['username']) && isset($_POST['password'])) {
        extract($_POST);
        if($rem_check) {
            $rem = true;
        }else{
           $rem = false;
        }

        if( is_user_logged_in() ) {
            $data = array('status' => 'false', 'msg' => 'You are already logged in!');
        }else{

		$creds = array();

		$creds['user_login'] = $username;

		$creds['user_password'] = $password;

		$creds['remember'] = $rem;

		$user = wp_signon( $creds, false );

		if ( is_wp_error($user) ) {

			$error = esc_html__('Incorrect login details.', 'inland');

			$data = array('status' => 'false', 'msg' => $error);

		}else{

			$url = site_url();

			$data = array('status' => 'true', 'msg' => 'Login Successfully', 'redirect_uri' => $url);

		}

	}
    echo json_encode($data);
    die();
  }
  $data = array('status' => 'false', 'msg' => 'Something went wrong. Please try again.');
  echo json_encode($data);
  die();
}
endif;
/**
 * inland user register form
 */ 
if(!function_exists('inland_user_register_form')):
add_action('wp_ajax_inland_user_register_form', 'inland_user_register_form');
add_action('wp_ajax_nopriv_inland_user_register_form', 'inland_user_register_form');  
function inland_user_register_form() {
    $error = array();
    if( isset($_POST['username']) && isset($_POST['full_name']) && isset($_POST['useremail']) && isset($_POST['password']) && isset($_POST['confirmpass']) ) {
        extract($_POST);
        
        if( ! validate_username($username) ) {
	    	$error['erroruser'] = esc_html__("* Username is not valid. Use only lowercase letter!","inland");
	    }

	    if( username_exists($username) ) {
	    	$error['erroruser'] = esc_html__("* Username is already exist!","inland");
	    }

	    if( email_exists($useremail) ) {
	    	$error['erroremail'] = esc_html__("* Email is already exist!","inland"); 
	    }

	    if( empty($error) ) {
			$userdata = array(

				'user_login' => $username,

				'user_pass' => $password,

				'first_name' => $full_name,

				'user_email' => $useremail

			);

	    	$user_id = wp_insert_user( $userdata );

	    	//On success

	    	if ( ! is_wp_error( $user_id ) ) {

				$data = array('status' => 'true', 'msg' => 'You are successfully registered. Please login');

				echo json_encode($data);

	    	}else{

		        $data = array('status' => 'false', 'msg' => 'Something went wrong. Please try again.');
		        echo json_encode($data);
	    	}

	    }else{

			$error['status'] = 'false';
			echo json_encode($error);

	    }
		die();
	}
  
 } 
endif;
/**
 * Load More Options
 */ 
if(!function_exists('inland_load_posts_by_ajax_callback')):
add_action('wp_ajax_inland_load_posts_by_ajax_callback', 'inland_load_posts_by_ajax_callback');
add_action('wp_ajax_nopriv_inland_load_posts_by_ajax_callback', 'inland_load_posts_by_ajax_callback');
function inland_load_posts_by_ajax_callback($args) { ?>
<div class="row">
<?php
    $click_value = '';
    if(!empty($_POST['numbergallery'])): 
     $click_value = $_POST['numbergallery'];
    endif;
    $catid = $_POST['catid'];
    if($catid == 'all'):
         $args = array(  
				'post_type'  => 'gallery',
				'posts_per_page'  => -1,
			   );
    elseif(!empty($catid)):
        $args = array(  
				'post_type'  => 'gallery',
				'tax_query' => array(
                            array(
                                'taxonomy' => 'gallery-category',
                                'field' => 'slug',
                                'terms' => $catid
                               )
                            ),
				'posts_per_page'  => -1,
			   );
	endif;
    $query = new WP_Query($args);
    if ($query->have_posts()):
        while ($query->have_posts()): $query->the_post();
            $attach_id = get_post_thumbnail_id(get_the_ID());
            $thumbnail_url = wp_get_attachment_image_src($attach_id, 'full');  
            if(function_exists('inland_aq_resize')):
                $custom_size = inland_aq_resize($thumbnail_url[0], 480, 520, true); 
                $large_size = inland_aq_resize($thumbnail_url[0], 850, 570, true);
                $second_img = inland_aq_resize($thumbnail_url[0], 480, 780, true);
                $styletwo_img = inland_aq_resize($thumbnail_url[0], 480, 390, true);
            endif; 
            if(function_exists( 'fw_get_db_post_option' )):	
                $gallery_post_data = fw_get_db_post_option(get_the_ID()); 
            endif;
            $bottom_head = '';
            if(!empty($gallery_post_data['bottom_heading'])):
                $bottom_head = $gallery_post_data['bottom_heading'];
            endif;
            $bottom_subhead = '';
            if(!empty($gallery_post_data['bottom_subheading'])):
                $bottom_subhead = $gallery_post_data['bottom_subheading'];
            endif;
            $cata_slug = array();
            $tax_terms = get_the_terms(get_the_ID(),'gallery-category');
            if(!empty($tax_terms)):
                foreach($tax_terms as $category): 
                $cata_slug[] = $category->slug;
                $post_cata_slug = implode(" ",$cata_slug);
                endforeach; 
            else:
                $post_cata_slug = '';
            endif;
        ?>
        <div class="grid-item <?php echo esc_attr($post_cata_slug); ?>">
            <a href="<?php echo esc_url($large_size);?>" class="view">
                <div class="grid_img">
                    <?php if($style == 'style_two'): ?>
                        <img src="<?php echo ($count == 2) ? "$second_img" : "$styletwo_img"?>" alt="<?php the_title_attribute(); ?>">
                    <?php else: ?>
                        <img src="<?php echo esc_url($custom_size);?>" alt="<?php the_title_attribute(); ?>">  
                    <?php endif; ?>
                </div>
                <div class="bottom_content">
                    <?php if(!empty($bottom_subhead)):
                        echo '<span>'. esc_html($bottom_subhead) .'</span>';
                    endif;
                    if(!empty($bottom_head)):
                        echo '<h3>'. esc_html($bottom_head) .'</h3>';
                    endif; ?>
                </div>
                <h2 class="top_content"><?php the_title(); ?></h2>
                <div class="grid_icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="100px" height="100px">
                    <path fill-rule="evenodd"  fill="rgb(255, 255, 255)"
                        d="M100.000,51.000 L51.000,51.000 L51.000,100.000 L49.000,100.000 L49.000,51.000 L-0.000,51.000 L-0.000,49.000 L49.000,49.000 L49.000,-0.000 L51.000,-0.000 L51.000,49.000 L100.000,49.000 L100.000,51.000 Z"/>
                    </svg>
                </div>
            </a>	
        </div>
    <?php 
    endwhile;
    wp_reset_postdata(); 
    endif;
   ?>
</div>
<?php
  wp_die();
}
endif;
/**
 * Load Post By Category Options
 */ 
if(!function_exists('inland_load_posts_by_category')):
add_action('wp_ajax_inland_load_posts_by_category', 'inland_load_posts_by_category');
add_action('wp_ajax_nopriv_inland_load_posts_by_category', 'inland_load_posts_by_category');
function inland_load_posts_by_category() {
   
     $no_post = $_POST['numbergallery']; 
     $custom_taxterms = $_POST['click_value']; 
     ?>
     <div class="row">
      <?php  if($custom_taxterms == 'all'):
        $args = array(  
				'post_type'  => 'gallery',
				'posts_per_page'  => -1,
			);
			elseif(!empty($custom_taxterms)):
        $args = array(  
				'post_type'  => 'gallery',
				 'tax_query' => array(
                            array(
                                'taxonomy' => 'gallery-category',
                                'field' => 'slug',
                                'terms' => $custom_taxterms
                               )
                    ),
				'posts_per_page'  =>-1,
			);
			else:    
	endif;
	$query = new WP_Query($args);
    if ($query->have_posts()):
        while ($query->have_posts()): $query->the_post();
            $attach_id = get_post_thumbnail_id(get_the_ID());
            $thumbnail_url = wp_get_attachment_image_src($attach_id, 'full');  
            if(function_exists('inland_aq_resize')):
                $custom_size = inland_aq_resize($thumbnail_url[0], 480, 520, true); 
                $large_size = inland_aq_resize($thumbnail_url[0], 850, 570, true);
                $second_img = inland_aq_resize($thumbnail_url[0], 480, 780, true);
                $styletwo_img = inland_aq_resize($thumbnail_url[0], 480, 390, true);
            endif; 
            if(function_exists( 'fw_get_db_post_option' )):	
                $gallery_post_data = fw_get_db_post_option(get_the_ID()); 
            endif;
            $bottom_head = '';
            if(!empty($gallery_post_data['bottom_heading'])):
                $bottom_head = $gallery_post_data['bottom_heading'];
            endif;
            $bottom_subhead = '';
            if(!empty($gallery_post_data['bottom_subheading'])):
                $bottom_subhead = $gallery_post_data['bottom_subheading'];
            endif;
            $cata_slug = array();
            $tax_terms = get_the_terms(get_the_ID(),'gallery-category');
            if(!empty($tax_terms)):
                foreach($tax_terms as $category): 
                $cata_slug[] = $category->slug;
                $post_cata_slug = implode(" ",$cata_slug);
                endforeach; 
            else:
                $post_cata_slug = '';
            endif;
        ?>
        <div class="grid-item <?php echo esc_attr($post_cata_slug); ?>">
            <a href="<?php echo esc_url($large_size);?>" class="view">
                <div class="grid_img">
                    <?php if($style == 'style_two'): ?>
                        <img src="<?php echo ($count == 2) ? "$second_img" : "$styletwo_img"?>" alt="<?php the_title_attribute(); ?>">
                    <?php else: ?>
                        <img src="<?php echo esc_url($custom_size);?>" alt="<?php the_title_attribute(); ?>">  
                    <?php endif; ?>
                </div>
                <div class="bottom_content">
                    <?php if(!empty($bottom_subhead)):
                        echo '<span>'. esc_html($bottom_subhead) .'</span>';
                    endif;
                    if(!empty($bottom_head)):
                        echo '<h3>'. esc_html($bottom_head) .'</h3>';
                    endif; ?>
                </div>
                <h2 class="top_content"><?php the_title(); ?></h2>
                <div class="grid_icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="100px" height="100px">
                    <path fill-rule="evenodd"  fill="rgb(255, 255, 255)"
                        d="M100.000,51.000 L51.000,51.000 L51.000,100.000 L49.000,100.000 L49.000,51.000 L-0.000,51.000 L-0.000,49.000 L49.000,49.000 L49.000,-0.000 L51.000,-0.000 L51.000,49.000 L100.000,49.000 L100.000,51.000 Z"/>
                    </svg>
                </div>
            </a>	
        </div>
    <?php 
    endwhile;
    wp_reset_postdata();    
    endif;
    ?>
 </div>    
<?php     
 wp_die();      
}
endif;
/**
 * Inland Newsletter 
 */
if(!function_exists('inland_send_newsletter')):
add_action( 'wp_ajax_inland_send_newsletter', 'inland_send_newsletter');
add_action( 'wp_ajax_nopriv_inland_send_newsletter', 'inland_send_newsletter'); 
function inland_send_newsletter(){ 
    require_once 'mailchimp/MailChimp.php';
	$api_key = '';
	if(!empty($_POST['apikey'])):
	   $api_key = $_POST['apikey'];
	endif;
	$list_id = '';
	if(!empty($_POST['listid'])):
       $list_id = $_POST['listid']; 
	endif;
	$subc_email = '';
	if(!empty($_POST['subc_email'])):
        $subc_email = $_POST['subc_email'];
	endif;
    $mailchimpob = new MailChimp_Subscribed($api_key,$list_id,$subc_email);
    wp_die(); 
}
endif;