<?php
/**
 * Register post type.
 *
 * @link http://codex.wordpress.org/Function_Reference/register_post_type
 */
add_action('init', 'inland_custompost_type');
function inland_custompost_type(){
	/**
     * Gallery Custom Post Type
     */ 
    $labels = array(
		'name'               => esc_html__( 'Gallery', 'inland' ),
		'singular_name'      => esc_html__( 'Gallery', 'inland' ),
		'menu_name'          => esc_html__( 'Galleries', 'inland' ),
		'name_admin_bar'     => esc_html__( 'Gallery', 'inland' ),
		'add_new'            => esc_html__( 'Add New', 'inland', 'inland' ),
		'add_new_item'       => esc_html__( 'Add New Gallery', 'inland' ),
		'new_item'           => esc_html__( 'New Gallery', 'inland' ),
		'edit_item'          => esc_html__( 'Edit Gallery', 'inland' ),
		'view_item'          => esc_html__( 'View Gallery', 'inland' ),
		'all_items'          => esc_html__( 'All Galleries', 'inland' ),
		'search_items'       => esc_html__( 'Search Gallery', 'inland' ),
		'parent_item_colon'  => esc_html__( 'Parent Gallery:', 'inland' ),
		'not_found'          => esc_html__( 'No Gallery found.', 'inland' ),
		'not_found_in_trash' => esc_html__( 'No Gallery found in Trash.', 'inland' )
	   );
	$args = array(
		'labels'             => $labels, 
        'description'        => esc_html__('Description.', 'inland' ),
		'menu_icon' 		 => 'dashicons-format-gallery', 
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array('slug' => 'gallery'),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'comments' )
	   );
	register_post_type( 'gallery', $args );
	
	/**
     * Gallery taxonomy  
     */ 
    register_taxonomy ('gallery-category', 
	     array ('gallery'), 
		      array (
			  'hierarchical' => true,
			  'label' =>esc_html__('Gallery Categories', 'inland'),
			  'singular_label' =>esc_html__( 'Gallery Categories', 'inland' ),
			  'rewrite' => true
			  )
    );
	/**
     * Service Custom Post Type
     */ 
	$labels = array(
		'name'               => esc_html__( 'Service', 'inland' ),
		'singular_name'      => esc_html__( 'Service', 'inland' ),
		'menu_name'          => esc_html__( 'Services', 'inland' ),
		'name_admin_bar'     => esc_html__( 'Service', 'inland' ),
		'add_new'            => esc_html__( 'Add New', 'Service', 'inland' ),
		'add_new_item'       => esc_html__( 'Add New Service', 'inland' ),
		'new_item'           => esc_html__( 'New Service', 'inland' ),
		'edit_item'          => esc_html__( 'Edit Service', 'inland' ),
		'view_item'          => esc_html__( 'View Service', 'inland' ),
		'all_items'          => esc_html__( 'All Services', 'inland' ),
		'search_items'       => esc_html__( 'Search Service', 'inland' ),
		'parent_item_colon'  => esc_html__( 'Parent Service:', 'inland' ),
		'not_found'          => esc_html__( 'No Service found.', 'inland' ),
		'not_found_in_trash' => esc_html__( 'No Service found in Trash.', 'inland' )
	   );
 
	$args = array(
		'labels'             => $labels, 
        'description'        => esc_html__('Description.', 'inland' ),
		'menu_icon'   => 'dashicons-admin-generic', 
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array('slug' => 'service'),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt' )
	   );
	register_post_type( 'service', $args );
	 
	/**
    * Service taxonomy  
    */ 
    register_taxonomy ('service-category', 
          array ('service'), 
	       array (
			  'hierarchical' => true,
			  'label' =>esc_html__('Service Categories', 'inland'),
			  'singular_label' =>esc_html__( 'Service Categories', 'inland' ),
			  'rewrite' => true
	      )
    );     
}