<?php
/**
 * Theme Option Settings Class
 */
class Inland_customsetting{
    /**
     * Class Construct
     */
    public function __construct(){
        /**
         * get theme setting data
         */
        $this ->inland_theme_data = '';
        if(function_exists('fw_get_db_settings_option')):
            $this ->inland_theme_data = fw_get_db_settings_option();
        endif;
        /**
         * Get meta setting data
         */
        $this->inland_meta_data = '';
        if (function_exists('fw_get_db_post_option')):
            $this->inland_meta_data = fw_get_db_post_option(get_the_ID());
        endif;
    }
    /**
	 * Custom search Setting
     */
    public function inland_search_setting(){
        $themeoption_data = '';
        if(!empty($this->inland_theme_data)):
           $themeoption_data = $this->inland_theme_data;
        endif;
        $header_search = '';
        if(!empty($themeoption_data['search'])):
          $header_search = $themeoption_data['search'];
        endif;
       if($header_search == 'on'): 
    ?>
    <div class="search-input-box-wrapper">
        <div class="search-input-box" >
            <form  method="get" action="<?php echo home_url( '/' ); ?>">
                <input type="text" name="s" id="s" placeholder="<?php echo esc_attr_x( 'Search here...', 'inland' ) ?>">
                <span class="close-search">
                 <i class="fas fa-times"></i>
                </span>
            </form>
        </div>
    </div>
	<?php  
    endif;   
    }
    
    /**
     * Inland Register Form
     */ 
    public function inland_register_setting(){
        $themeoption_data = '';
        if(!empty($this->inland_theme_data)):
           $themeoption_data = $this->inland_theme_data;
        endif;
        $logo_option = '';
        if(!empty($themeoption_data['woo_logo']['gadget'])):
        	$logo_option = $themeoption_data['woo_logo']['gadget'];
        endif;
        $logosvg = '';
        if(!empty($themeoption_data['woo_logo']['logosvg']['logosvg_clone'])):
        	$logosvg = $themeoption_data['woo_logo']['logosvg']['logosvg_clone'];
        endif;
        $logo_image = '';
        if(!empty($themeoption_data ['woo_logo']['logoimge']['logoimge_clone'] ['attachment_id'])):
        	$attachment_id = $themeoption_data['woo_logo']['logoimge']['logoimge_clone'] ['attachment_id'];
            $logo_image = wp_get_attachment_url($attachment_id, 'full');
        else:
            $logo_image =  get_template_directory_uri().'/assets/images/logo_white.png';
        endif;
        $signup_title = '';
        if(!empty($themeoption_data['signup_title'])):
        	$signup_title = $themeoption_data['signup_title'];
        endif;
        $signup_desc = '';
        if(!empty($themeoption_data['signup_desc'])):
        	$signup_desc = $themeoption_data['signup_desc'];
        endif;
        $woocommerce_btn = '';
        if(!empty($themeoption_data['woocommerce_btn'])):
        	$woocommerce_btn = $themeoption_data['woocommerce_btn'];
        endif;
    ?>
	<!--sign-up Modal-->
	<div class="it-modal-form it-modal-signup <?php if($woocommerce_btn == 'off'){ echo esc_attr__('singup-login-without-sliders','inland'); } ?>">
		<div class="it-signin-flex">
			<div class="container">
				<div class="row">
				    <?php 
				    if($woocommerce_btn == 'on'):
				    ?>
					<div class="col-lg-5 col-md-5 col-sm-12 align-self-center">
						<div class="it-sign-slide">
						  <div class="swiper-container">
							<div class="swiper-wrapper">
							    <?php 
							    $product_no = 5;
							    if(class_exists('WooCommerce')) {
							    $args = array(
                                       'post_type' =>'product',
                                       'post_status' => 'publish',
                                       'posts_per_page' => $product_no, 
                                     );
                                $product_query = new WP_Query($args);  
                                if($product_query->have_posts() ) :
                                 while($product_query->have_posts()): $product_query->the_post();
                                   $product = wc_get_product(get_the_ID());
                                    if(has_post_thumbnail(get_the_ID())):
                                        $attachment_url = wp_get_attachment_url(get_post_thumbnail_id(get_the_ID()), 'full');
                                    endif;
                                  if(!empty($attachment_url)):
                                  ?>
                                  <div class="swiper-slide">
								   <img src="<?php echo esc_url($attachment_url); ?>" class="img-fluid" alt="<?php the_title_attribute(); ?>"/>
								  </div>
                                 <?php
                                 endif;
                                endwhile;
                                wp_reset_query();
                                endif;
							    }
							    ?>
							</div>
						  </div>
							<!-- Add Pagination -->
							<div class="swiper-pagination"></div>
						</div>
					</div>
					<?php
				      $login_singup_class = 'col-lg-7 col-md-7';
				    else:
				      $login_singup_class = 'col-lg-12 col-md-12';
				    endif; 
				   ?>
					<div class="<?php echo esc_attr($login_singup_class); ?> align-self-center pl-0 pr-0">
						<div class="it-sign-section">
						  <button type="button" class="close-login" >
						      <i class="fa fa-times" aria-hidden="true"></i>
						  </button>
						  <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="<?php esc_attr_e('home', 'inland'); ?>">
							<?php 
							if($logo_option == 'logosvg'):
								printf($logosvg);
							else:
							if(!empty($logo_image)): 
							?>
							<img src="<?php echo esc_url($logo_image); ?>" class="img-fluid" alt="<?php esc_attr_e('logo-image', 'inland'); ?>" />
							<?php endif; endif; ?>
							</a>
							<?php if(!empty($signup_desc)): ?>
						      <p><?php echo esc_html($signup_desc); ?></p>
						    <?php endif; ?>
						   <?php if(!empty($signup_title)): ?>
						     <h3><?php echo esc_html($signup_title); ?></h3>
						   <?php endif; ?>
							<div class="form-block">
								<input type="text" name="full_name" id="full_name" class="form-field" placeholder="<?php esc_attr_e('Name','inland'); ?>">
							</div>
							<div class="form-block">
								<input type="text" name="username" id="usernames" class="form-field" placeholder="<?php esc_attr_e('User Name','inland'); ?>">
							</div>
							<div class="form-block">
								<input type="text" name="useremail" id="useremail" class="form-field" placeholder="<?php esc_attr_e('Email','inland'); ?>">
							</div>
							<div class="form-block">
								<input type="password" name="us_password" id="us_password" class="form-field" placeholder="<?php esc_attr_e('Password','inland'); ?>">
							</div>
							<div class="form-block">
								<input type="password" name="us_cpassword" id="us_cpassword" class="form-field" placeholder="<?php esc_attr_e('Conform-Password','inland'); ?>">
							</div>
							<div class="it-sign-forgot">
								<ul>
								<li>
								<a href="javascript:;" class="it-btn" id="inland_register"><?php esc_html_e('sign up','inland'); ?><span class="btn-caret"><i class="fas fa-caret-right"></i></span></a>
								</li>
								</ul>
							</div>
							
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!--sign-up form-->
    <?php
    }
    /**
     * Inland Login Form
     */ 
    public function inland_login_setting(){  
        $themeoption_data = '';
        if(!empty($this->inland_theme_data)):
           $themeoption_data = $this->inland_theme_data;
        endif;
        $logo_option = '';
        if(!empty($themeoption_data['woo_logo']['gadget'])):
        	$logo_option = $themeoption_data['woo_logo']['gadget'];
        endif;
        $logosvg = '';
        if(!empty($themeoption_data ['woo_logo']['logosvg']['logosvg_clone'])):
        	$logosvg = $themeoption_data['woo_logo']['logosvg']['logosvg_clone'];
        endif;
        $logo_image = '';
        if(!empty($themeoption_data ['woo_logo']['logoimge']['logoimge_clone']['attachment_id'])):
        	$attachment_id = $themeoption_data['woo_logo']['logoimge']['logoimge_clone']['attachment_id'];
            $logo_image = wp_get_attachment_url($attachment_id, 'full');
        else:
            $logo_image =  get_template_directory_uri().'/assets/images/logo_white.png';
        endif;
        
        $login_title = '';
        if(!empty($themeoption_data['login_title'])):
        	$login_title = $themeoption_data['login_title'];
        endif;
        $login_desc = '';
        if(!empty($themeoption_data['login_desc'])):
        	$login_desc = $themeoption_data['login_desc'];
        endif;
        $woocommerce_btn = '';
        if(!empty($themeoption_data['woocommerce_btn'])):
        	$woocommerce_btn = $themeoption_data['woocommerce_btn'];
        endif;
    ?>
   <!--sign-in Modal-->
	<div class="it-modal-form it-modal-login  <?php if($woocommerce_btn == 'off'){ echo esc_attr__('singup_login_without_sliders','inland'); } ?>">
		<div class="it-signin-flex">
			<div class="container">
				<div class="row">
				    <?php 
				    if($woocommerce_btn == 'on'):
				    ?>
					<div class="col-lg-5 col-md-5 col-sm-12 align-self-center">
						<div class="it-sign-slide">
						  <div class="swiper-container">
							<div class="swiper-wrapper">
							<?php 
						    $product_no = 5;
						    if(class_exists('WooCommerce')) {
						    $args = array(
                                'post_type' =>'product',
                                'post_status' => 'publish',
                                'posts_per_page' => $product_no, 
                               );
                            $product_query = new WP_Query($args);  
                            if($product_query->have_posts() ) :
                               while($product_query->have_posts()): $product_query->the_post();
                               $product = wc_get_product(get_the_ID());
                                if(has_post_thumbnail(get_the_ID())):
                                    $attachment_url = wp_get_attachment_url(get_post_thumbnail_id(get_the_ID()), 'full');
                                endif;
                            if(!empty($attachment_url)):
                            ?>
                            <div class="swiper-slide">
							  <img src="<?php echo esc_url($attachment_url); ?>" class="img-fluid" alt="<?php the_title_attribute(); ?>"/>
							</div>
                            <?php
                            endif;
                            endwhile;
                            wp_reset_query();
                            endif;
    					    }
    					    ?>
							 </div>
						    </div>
							<!-- Add Pagination -->
							<div class="swiper-pagination"></div>
						</div>
					</div>
				   <?php
				    $login_singup_class = 'col-lg-7 col-md-7';
				   else:
				    $login_singup_class = 'col-lg-12 col-md-12';
				   endif; 
				   ?><div class="<?php echo esc_attr($login_singup_class); ?> align-self-center pl-0 pr-0">
						<div class="it-sign-section">
						  <button type="button" class="close-login">
						     <i class="fa fa-times" aria-hidden="true"></i>
						  </button>
						  <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="<?php esc_attr_e('home', 'inland'); ?>">
							<?php 
							if($logo_option == 'logosvg'):
								printf($logosvg);
							else:
							if(!empty($logo_image)):
							?>
							<img src="<?php echo esc_url($logo_image); ?>" class="img-fluid" alt="<?php esc_attr_e('logo-image', 'inland'); ?>" />
							<?php endif; 
							endif;
							?>
							</a>
						   <?php if(!empty($login_desc)): ?>
						     <p><?php echo esc_html($login_desc); ?></p>
						   <?php 
						  endif;
						  if(!empty($login_title)): ?>
						    <h3><?php echo esc_html($login_title); ?></h3>
						  <?php endif; ?>
							<div class="form-block">
							   <input type="text" name="lusername" id="lusernames" class="form-field" placeholder="<?php esc_attr_e('Email/Username','inland'); ?>">
							</div>
							<div class="form-block">
								<input type="password" name="lpassword" id="lpassword" class="form-field" placeholder="<?php esc_attr_e('Password','inland'); ?>">
							</div>
							<div class="form-block forgot-password mb-0">
							    <input type="checkbox" name="rem_check" id="rem_check">
							    <label for ="rem_check"><?php esc_html_e('Keep me signed in','inland'); ?></label>
								
								<span class="checkmark"></span>
							</div>   
							<div class="it-sign-forgot">
								<ul>
									<li><a href="<?php echo wp_lostpassword_url(); ?>"><?php esc_html_e('Forgot Password ?','inland'); ?></a></li>
									<li><a href="javascript:;" class="it-btn" id="inland_login">
									    <?php esc_html_e('sign in','inland'); ?>
									    <span class="btn-caret"><i class="fas fa-caret-right"></i></span></a>
									</li>
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!--sign-in form-->
    <?php
    }
    /**
     * Woocommerce Mincart Function
     */
    public function inland_woocommerce_mincart(){
        $themeoption_data = '';
        if(!empty($this->inland_theme_data)):
           $themeoption_data = $this->inland_theme_data;
        endif;
        $mincart = '';
        if(!empty($themeoption_data['mincart'])):
            $mincart = $themeoption_data['mincart'];
        endif;
        if($mincart == "on"):
    ?>    
    <div class="it-product-checkout-dark">
		<div class="header-cartbox">
			<div class="cart-content">
				<div class="it-sop-cart">
					<h3><?php 
					$contents_count = '';
					if(class_exists('WooCommerce')):
					  $contents_count = WC()->cart->get_cart_contents_count();
					endif;
					printf(esc_html__( 'Shopping Cart ( %s )', 'inland' ),$contents_count); ?></h3>
					 <p><?php printf( esc_html__( 'Your Have %s Item In Your Cart', 'inland' ), $contents_count); ?></p>
					<a href="javascript:;" class="close-box box-add"><?php esc_html_e('close','inland'); ?></a>
				</div>
				<div class="it-checkout-table table-responsive">
				  <?php 
				  if(class_exists('WooCommerce')):
				   woocommerce_mini_cart();
				  endif;
				  ?>
				</div>
			</div>
		</div>
	</div>
    <?php    
    endif;
    }
}

// service comment desable

function inland_default_comments_off( $data ) {
    if( $data['post_type'] == 'service') {
        $data['comment_status'] = 0;
    }
 
    return $data;
}
add_filter( 'wp_insert_post_data', 'inland_default_comments_off' );