<?php
function inland_load_widget() {
    register_widget('Inland_Widget_Menu');
    register_widget('Inland_Widget_Open_Hours');
    register_widget('Inland_Instagram_Widget');
    register_widget('Inland_Contactinformation_Widget');
    register_widget('Inland_Widget_Recentpost');
}
add_action( 'widgets_init', 'inland_load_widget');
/**
 * inland widget menu
 */ 
 class Inland_Widget_Menu extends WP_Widget{ 
     
    function __construct(){
        
        parent::__construct(
            'inland_widget_menu',  
            //Base ID for your widget
            esc_html__('Inland Menu Option', 'inland'), 
            // Widget name will appear in UI
            array( 'description' => esc_html__( 'Inland Menu Option', 'inland' ), )  // Widget description
        );
        
    }
    public function widget($args, $instance){
        
        $app_widget_title = '';
        if(isset($instance['app_widget_title'])){
            $app_widget_title =  $instance['app_widget_title'];
        }
        
        $nav_menu = !empty($instance['nav_menu']) ? wp_get_nav_menu_object( $instance['nav_menu'] ) : false;
        if (!$nav_menu):
            return;
        endif; 
        
        ?>
        <?php if(!empty($app_widget_title)): ?>
        <h3 class="footer-heading">
            <?php echo esc_html($app_widget_title); ?></h3>
        <?php endif; ?>
        <div class="footer-linkbox">
            <?php wp_nav_menu( array( 'menu' => $nav_menu) ); ?>
        </div>
        <?php
    }
    public function form($instance){
        $app_widget_title = '';
        if ( isset( $instance[ 'app_widget_title' ]) ) {
            $app_widget_title = $instance[ 'app_widget_title' ];
        }
        $nav_menu = '';
        if ( isset( $instance[ 'nav_menu' ] ) ) {
            $nav_menu = $instance[ 'nav_menu' ];
        }
        $menus = get_terms('nav_menu', array( 'hide_empty' => false ) );
            if ( !$menus ):
               echo '<p>'. sprintf( esc_html__('No menus have been created yet.<a href="%s">Create some</a>.'), admin_url('nav-menus.php') ) .'</p>';
            return;
	    endif;
    ?>
    <p>
    <label for="<?php echo esc_attr($this->get_field_id( 'app_widget_title' )); ?>">
    <?php esc_html_e( 'Title:','inland'); ?>
    </label> 
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'app_widget_title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'app_widget_title' )); ?>" type="text" value="<?php echo esc_attr( $app_widget_title ); ?>" />
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('nav_menu'); ?>"><?php _e('Select Menu:'); ?></label>
        <select id="<?php echo $this->get_field_id('nav_menu'); ?>" name="<?php echo $this->get_field_name('nav_menu'); ?>">
        <?php
        foreach ( $menus as $menu ):
            $selected = $nav_menu == $menu->term_id ? ' selected="selected"' : '';
            echo '<option'.esc_attr($selected).' value="'.esc_attr($menu->term_id).'">'.esc_html($menu->name).'</option>';
        endforeach;  
        ?>
        </select>
    </p>
    <?php
    }
    public function update( $new_instance, $old_instance ) {
        
    $instance = array();
    $instance['app_widget_title'] = ( ! empty( $new_instance['app_widget_title'] ) ) ? strip_tags( $new_instance['app_widget_title'] ) : '';
    
    $instance['nav_menu'] = ( ! empty( $new_instance['nav_menu'] ) ) ? strip_tags( $new_instance['nav_menu'] ) : '';
    return $instance;
    
    }
 }
/**
 * inland widget Open Hours
 */ 
class Inland_Widget_Open_Hours extends WP_Widget{ 
    function __construct(){
    parent::__construct(
        'inland_widget_open_hours',  //Base ID for your widget
        esc_html__('Inland Open Hours Option', 'inland'),  // Widget name will appear in UI
        array( 'description' => esc_html__( 'Inland Open Hours Option', 'inland' ), )  // Widget description
       );
    }
    public function widget($args, $instance){
        $app_widget_title = '';
        if(isset($instance['app_widget_title'])){
            $app_widget_title =  $instance['app_widget_title'];
        }
        $app_widget_mon = '';
        if(isset($instance['app_widget_mon'])){
            $app_widget_mon =  $instance['app_widget_mon'];
        }
        $app_widget_tue = '';
        if(isset($instance['app_widget_tue'])){
            $app_widget_tue =  $instance['app_widget_tue'];
        }
        $app_widget_wed = '';
        if(isset($instance['app_widget_wed'])){
            $app_widget_wed =  $instance['app_widget_wed'];
        }
        $app_widget_thur = '';
        if(isset($instance['app_widget_thur'])){
            $app_widget_thur =  $instance['app_widget_thur'];
        }
        $app_widget_fri = '';
        if(isset($instance['app_widget_fri'])){
            $app_widget_fri =  $instance['app_widget_fri'];
        }
        $app_widget_sat = '';
        if(isset($instance['app_widget_sat'])){
            $app_widget_sat =  $instance['app_widget_sat'];
        }
        $app_widget_sun = '';
        if(isset($instance['app_widget_sun'])){
            $app_widget_sun =  $instance['app_widget_sun']; 
        }
        ?>
        <?php if(!empty($app_widget_title)): ?>
        <h3 class="footer-heading"><?php echo esc_html($app_widget_title); ?></h3>
        <?php endif; ?>
            <ul class="footer-hours">
            <?php if(!empty($app_widget_mon)): ?>
                <li><span><?php echo esc_html($app_widget_mon); ?></span></li>
            <?php endif; 
                if(!empty($app_widget_tue)): ?>
                <li><span><?php echo esc_html($app_widget_tue); ?></span></li>
            <?php endif; 
                if(!empty($app_widget_wed)): ?>
                <li><span><?php echo esc_html($app_widget_wed); ?></span></li>
            <?php endif; 
                if(!empty($app_widget_thur)): ?>
                <li><span><?php echo esc_html($app_widget_thur); ?></span></li>
            <?php endif; 
                if(!empty($app_widget_fri)): ?>
                <li><span><?php echo esc_html($app_widget_fri); ?></span></li>
            <?php endif; 
            if(!empty($app_widget_sat)): ?>
                <li><span><?php echo esc_html($app_widget_sat); ?></span></li>
            <?php endif; 
            if(!empty($app_widget_sun)): ?>
                <li><span><?php echo esc_html($app_widget_sun); ?></span></li>
            <?php endif; ?>
            </ul>
        <?php
    }
    public function form($instance){
        $app_widget_title = '';
        if ( isset( $instance[ 'app_widget_title' ]) ) {
            $app_widget_title = $instance[ 'app_widget_title' ];
        }
        $app_widget_mon = '';
        if ( isset( $instance[ 'app_widget_mon' ]) ) {
            $app_widget_mon = $instance[ 'app_widget_mon' ];
        }
        $app_widget_tue = '';
        if ( isset( $instance[ 'app_widget_tue' ]) ) {
            $app_widget_tue = $instance[ 'app_widget_tue' ];
        }
        $app_widget_wed = '';
        if ( isset( $instance[ 'app_widget_wed' ]) ) {
            $app_widget_wed = $instance[ 'app_widget_wed' ];
        }
        $app_widget_thur = '';
        if ( isset( $instance[ 'app_widget_thur' ]) ) {
            $app_widget_thur = $instance[ 'app_widget_thur' ];
        }
        $app_widget_fri = '';
        if ( isset( $instance[ 'app_widget_fri' ]) ) {
            $app_widget_fri = $instance[ 'app_widget_fri' ];
        }
        $app_widget_sat = '';
        if ( isset( $instance[ 'app_widget_sat' ]) ) {
            $app_widget_sat = $instance[ 'app_widget_sat' ];
        }
        $app_widget_sun = '';
        if ( isset( $instance[ 'app_widget_sun' ]) ) {
            $app_widget_sun = $instance[ 'app_widget_sun' ];
        }
    ?>
    <p>
        <label for="<?php echo esc_attr($this->get_field_id( 'app_widget_title' )); ?>">
            <?php esc_html_e( 'Title:','inland'); ?>
        </label> 
        <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'app_widget_title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'app_widget_title' )); ?>" type="text" value="<?php echo esc_attr( $app_widget_title ); ?>" />
    </p>
    <p>
        <label for="<?php echo esc_attr($this->get_field_id( 'app_widget_mon' )); ?>">
            <?php esc_html_e( 'Monday:','inland'); ?>
        </label> 
        <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'app_widget_mon' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'app_widget_mon' )); ?>" type="text" value="<?php echo esc_attr( $app_widget_mon ); ?>" />
    </p>
    <p>
        <label for="<?php echo esc_attr($this->get_field_id( 'app_widget_tue' )); ?>">
            <?php esc_html_e( 'Tuesday:','inland'); ?>
        </label> 
        <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'app_widget_tue' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'app_widget_tue' )); ?>" type="text" value="<?php echo esc_attr( $app_widget_tue ); ?>" />
    </p>
    <p>
        <label for="<?php echo esc_attr($this->get_field_id( 'app_widget_wed' )); ?>">
            <?php esc_html_e( 'Wednesday:','inland'); ?>
        </label> 
        <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'app_widget_wed' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'app_widget_wed' )); ?>" type="text" value="<?php echo esc_attr( $app_widget_wed ); ?>" />
    </p>
    <p>
    <label for="<?php echo esc_attr($this->get_field_id( 'app_widget_thur' )); ?>">
        <?php esc_html_e( 'Thursday:','inland'); ?>
    </label> 
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'app_widget_thur' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'app_widget_thur' )); ?>" type="text" value="<?php echo esc_attr( $app_widget_thur ); ?>" />
    </p>
    <p>
    <label for="<?php echo esc_attr($this->get_field_id( 'app_widget_fri' )); ?>">
     <?php esc_html_e( 'Friday:','inland'); ?>
    </label> 
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'app_widget_fri' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'app_widget_fri' )); ?>" type="text" value="<?php echo esc_attr( $app_widget_fri ); ?>" />
    </p>
    <p>
    <label for="<?php echo esc_attr($this->get_field_id( 'app_widget_sat' )); ?>">
        <?php esc_html_e( 'Saturday:','inland'); ?>
    </label> 
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'app_widget_sat' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'app_widget_sat' )); ?>" type="text" value="<?php echo esc_attr( $app_widget_sat ); ?>" />
    </p>
    <p>
    <label for="<?php echo esc_attr($this->get_field_id( 'app_widget_sun' )); ?>">
    <?php esc_html_e( 'Sunday:','inland'); ?>
    </label> 
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'app_widget_sun' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'app_widget_sun' )); ?>" type="text" value="<?php echo esc_attr( $app_widget_sun ); ?>" />
    </p>
    <?php
    }
    public function update( $new_instance, $old_instance ) {
        
    $instance = array();
    $instance['app_widget_title'] = ( ! empty( $new_instance['app_widget_title'] ) ) ? strip_tags( $new_instance['app_widget_title'] ) : '';
    $instance['app_widget_mon'] = ( ! empty( $new_instance['app_widget_mon'] ) ) ? strip_tags( $new_instance['app_widget_mon'] ) : '';
    $instance['app_widget_tue'] = ( ! empty( $new_instance['app_widget_tue'] ) ) ? strip_tags( $new_instance['app_widget_tue'] ) : '';
    $instance['app_widget_wed'] = ( ! empty( $new_instance['app_widget_wed'] ) ) ? strip_tags( $new_instance['app_widget_wed'] ) : '';
    $instance['app_widget_thur'] = ( ! empty( $new_instance['app_widget_thur'] ) ) ? strip_tags( $new_instance['app_widget_thur'] ) : '';
    $instance['app_widget_fri'] = ( ! empty( $new_instance['app_widget_fri'] ) ) ? strip_tags( $new_instance['app_widget_fri'] ) : '';
    $instance['app_widget_sat'] = ( ! empty( $new_instance['app_widget_sat'] ) ) ? strip_tags( $new_instance['app_widget_sat'] ) : '';
    $instance['app_widget_sun'] = ( ! empty( $new_instance['app_widget_sun'] ) ) ? strip_tags( $new_instance['app_widget_sun'] ) : ''; 
    return $instance;
    }
 }
 
/**
 * Inland Instagram Widget
*/
Class Inland_Instagram_Widget extends WP_Widget {

	function __construct() {
		parent::__construct(
			'inland-instagram-feed',
			__( 'Inland Instagram Widget', 'inland' ),
			array(
				'classname' => 'inland-instagram-feed',
				'description' => esc_html__( 'Displays your latest Instagram photos', 'inland' ),
				'customize_selective_refresh' => true,
			)
		);
	} 

	function widget( $args, $instance ) {
	    
		$no_posts= $instance['number'];
		$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );
		$target = empty( $instance['target'] ) ? '_self' : $instance['target'];
		echo $args['before_widget'];
		echo '<div class="instagram-widget">';
		$feeds = get_option('inland_insta_feed');
		if ( ! empty( $title ) ) { echo $args['before_title'] . wp_kses_post( $title ) . $args['after_title']; };
		$count=1;
		?>
		<div class="vt-instagram-info">
			<ul class="il-col-4"><?php
    			foreach( $feeds as $feed ) {
    					echo '<li class=""><a href="'.esc_url($feed['permalink']).'" target="' . esc_attr( $target ) . '"  class="">';
    			if($feed['media_type'] == 'VIDEO'){
    				echo '<img src="'.esc_url($feed['thumbnail_url']).'" class="' . esc_attr. 'img-responsive" alt="'.esc_attr('inland insta', 'inland').'"/>';
    			}
    			else {
    				echo '<img src="'.esc_url($feed['media_url']).'"  alt="'.esc_attr('inland insta', 'inland').'"/>';
    			}
    			echo '</a></li>';
    				
    				if($count==$no_posts){
    					break;
    				}	
    				$count++;
    			}
    		?></ul>
		</div>
				<?php
		
		$linkclass = apply_filters( 'wpiw_link_class', 'clear' );
		$linkaclass = apply_filters( 'wpiw_linka_class', '' );
		echo '</div>';
	
		echo $args['after_widget'];
	}

	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array(
			'title' => __( 'Instagram', 'inland' ),
			'username' => '',
			'size' => 'large',
			'link' => __( 'Follow Me!', 'inland' ),
			'number' => 9,
			'target' => '_self',
		) );
		$title = $instance['title'];
		$username = $instance['username'];
		$number = absint( $instance['number'] );
		$size = 'thumbnail';
		$target = $instance['target'];
		$link = $instance['link'];
		?>
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title', 'inland' ); ?>: <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /></label></p>
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'number' ) ); ?>"><?php esc_html_e( 'Number of photos', 'inland' ); ?>: <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'number' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'number' ) ); ?>" type="text" value="<?php echo esc_attr( $number ); ?>" /></label></p>
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'target' ) ); ?>"><?php esc_html_e( 'Open links in', 'inland' ); ?>:</label>
			<select id="<?php echo esc_attr( $this->get_field_id( 'target' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'target' ) ); ?>" class="widefat">
				<option value="_self" <?php selected( '_self', $target ); ?>><?php esc_html_e( 'Current window (_self)', 'inland' ); ?></option>
				<option value="_blank" <?php selected( '_blank', $target ); ?>><?php esc_html_e( 'New window (_blank)', 'inland' ); ?></option>
			</select>
		</p>
		<?php

	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['number'] = ! absint( $new_instance['number'] ) ? 9 : $new_instance['number'];
		$instance['target'] = ( ( '_self' === $new_instance['target'] || '_blank' === $new_instance['target'] ) ? $new_instance['target'] : '_self' );
		return $instance;
	}
}


/**
 * Inland contact information
 */ 
 
class Inland_Contactinformation_Widget extends WP_Widget {
    
    function  __construct() {

	parent::__construct(
		'Inland_contactinfo_widget', // Base ID of your widget
		 esc_html__('Inland Contact Info', 'inland'),  // Widget name will appear in UI
		   array( 'description' => esc_html__( 'Inland Contact Info Widget', 'inland' ), ) // Widget description
		 );
    } 
    
    public function widget( $args, $instance ) {
        $widget_title = '';
        if (isset($instance['widget_title'])) {
           $widget_title = $instance['widget_title'];
        }
        $address = '';
        if (isset($instance['address'])) {
           $address = $instance['address'];
        }
        $contactnum = '';
         if (isset($instance['contactnum'])) {
           $contactnum = $instance['contactnum'];
        }
        $email = '';
        if (isset($instance['email'])) {
           $email = $instance['email'];
        }
    ?>
    <?php if(!empty($widget_title)): ?>
    <h3 class="footer-heading"><?php echo esc_html($widget_title); ?></h3>
    <?php endif; 
    $tags = array(
		'p' => array(
			'class' => array(),
		),
		'span' => array(
			'class' => array(),
			'title' => array(),
			'style' => array(),
		),
		'strike' => array(),
		'strong' => array(),
		'ul' => array(
			'class' => array(),
		),
    );
    $allowed_tags = wp_kses_allowed_html( $tags );
    ?>
    <div class="footer-linkbox">
        <ul class="footer-hours lastTypeWidgets footer-cont">
            <?php if(!empty($address)): ?>
            <li><span class="footer-info-icon">
            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 512 512" xml:space="preserve">
            <g transform="translate(1 1)">
            	<g>
            		<g>
            			<path d="M254.991,212.339c35.355,0,64-28.645,64-64s-28.645-64-64-64s-64,28.645-64,64S219.636,212.339,254.991,212.339z
            				 M254.991,127.006c11.791,0,21.333,9.542,21.333,21.333s-9.542,21.333-21.333,21.333c-11.791,0-21.333-9.542-21.333-21.333
            				S243.2,127.006,254.991,127.006z"></path>
            			<path d="M227.229,396.518l8.681,17.362c7.863,15.726,30.305,15.723,38.164-0.004l18.389-36.8
            				c18.466-36.902,35.939-66.021,75.763-128.619l1.036-1.629c5.852-9.199,8.681-13.651,12.042-18.961
            				c14.956-23.623,23.02-50.992,23.02-79.527c0-89.032-77.35-158.521-166.786-148.343c-66.548,7.591-121.188,60.835-130.398,127.125
            				c-5.511,39.683,4.604,78.394,27.526,109.517C165.5,278.435,189.243,320.574,227.229,396.518z M149.402,132.992
            				c6.528-46.989,45.76-85.218,92.967-90.603c64.055-7.29,119.289,42.33,119.289,105.951c0,20.39-5.735,39.855-16.403,56.706
            				c-3.34,5.276-6.155,9.708-11.991,18.88l-1.036,1.629c-40.148,63.109-58.184,93.122-77.28,131.152
            				c-33.196-65.363-56.271-105.169-85.935-145.383C152.636,189.087,145.437,161.538,149.402,132.992z"></path>
            			<path d="M387.88,312.04c-11.464-2.719-22.961,4.371-25.68,15.835c-2.719,11.464,4.371,22.962,15.835,25.68
            				c57.212,13.567,90.298,35.274,90.298,50.773c0,29.478-94.949,64-213.333,64c-118.398,0-213.333-34.518-213.333-64
            				c0-15.508,33.053-37.209,90.236-50.773c11.464-2.719,18.553-14.217,15.834-25.681c-2.719-11.464-14.217-18.553-25.681-15.833
            				C47.205,329.796-1,361.445-1,404.329c0,64.804,115.134,106.667,256,106.667c140.853,0,256-41.865,256-106.667
            				C511,361.444,462.765,329.798,387.88,312.04z"></path>
            		</g>
            	</g>
            </g>
            </svg>   
            </span><span><?php echo esc_html($address);?></span></li>
            <?php endif;  
            if(!empty($contactnum)): ?>
            <li><span class="footer-info-icon">
             <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 473.806 473.806" xml:space="preserve">
                <g>
                	<g>
                		<path d="M374.456,293.506c-9.7-10.1-21.4-15.5-33.8-15.5c-12.3,0-24.1,5.3-34.2,15.4l-31.6,31.5c-2.6-1.4-5.2-2.7-7.7-4
                			c-3.6-1.8-7-3.5-9.9-5.3c-29.6-18.8-56.5-43.3-82.3-75c-12.5-15.8-20.9-29.1-27-42.6c8.2-7.5,15.8-15.3,23.2-22.8
                			c2.8-2.8,5.6-5.7,8.4-8.5c21-21,21-48.2,0-69.2l-27.3-27.3c-3.1-3.1-6.3-6.3-9.3-9.5c-6-6.2-12.3-12.6-18.8-18.6
                			c-9.7-9.6-21.3-14.7-33.5-14.7s-24,5.1-34,14.7c-0.1,0.1-0.1,0.1-0.2,0.2l-34,34.3c-12.8,12.8-20.1,28.4-21.7,46.5
                			c-2.4,29.2,6.2,56.4,12.8,74.2c16.2,43.7,40.4,84.2,76.5,127.6c43.8,52.3,96.5,93.6,156.7,122.7c23,10.9,53.7,23.8,88,26
                			c2.1,0.1,4.3,0.2,6.3,0.2c23.1,0,42.5-8.3,57.7-24.8c0.1-0.2,0.3-0.3,0.4-0.5c5.2-6.3,11.2-12,17.5-18.1c4.3-4.1,8.7-8.4,13-12.9
                			c9.9-10.3,15.1-22.3,15.1-34.6c0-12.4-5.3-24.3-15.4-34.3L374.456,293.506z M410.256,398.806
                			C410.156,398.806,410.156,398.906,410.256,398.806c-3.9,4.2-7.9,8-12.2,12.2c-6.5,6.2-13.1,12.7-19.3,20
                			c-10.1,10.8-22,15.9-37.6,15.9c-1.5,0-3.1,0-4.6-0.1c-29.7-1.9-57.3-13.5-78-23.4c-56.6-27.4-106.3-66.3-147.6-115.6
                			c-34.1-41.1-56.9-79.1-72-119.9c-9.3-24.9-12.7-44.3-11.2-62.6c1-11.7,5.5-21.4,13.8-29.7l34.1-34.1c4.9-4.6,10.1-7.1,15.2-7.1
                			c6.3,0,11.4,3.8,14.6,7c0.1,0.1,0.2,0.2,0.3,0.3c6.1,5.7,11.9,11.6,18,17.9c3.1,3.2,6.3,6.4,9.5,9.7l27.3,27.3
                			c10.6,10.6,10.6,20.4,0,31c-2.9,2.9-5.7,5.8-8.6,8.6c-8.4,8.6-16.4,16.6-25.1,24.4c-0.2,0.2-0.4,0.3-0.5,0.5
                			c-8.6,8.6-7,17-5.2,22.7c0.1,0.3,0.2,0.6,0.3,0.9c7.1,17.2,17.1,33.4,32.3,52.7l0.1,0.1c27.6,34,56.7,60.5,88.8,80.8
                			c4.1,2.6,8.3,4.7,12.3,6.7c3.6,1.8,7,3.5,9.9,5.3c0.4,0.2,0.8,0.5,1.2,0.7c3.4,1.7,6.6,2.5,9.9,2.5c8.3,0,13.5-5.2,15.2-6.9
                			l34.2-34.2c3.4-3.4,8.8-7.5,15.1-7.5c6.2,0,11.3,3.9,14.4,7.3c0.1,0.1,0.1,0.1,0.2,0.2l55.1,55.1
                			C420.456,377.706,420.456,388.206,410.256,398.806z"></path>
                		<path d="M256.056,112.706c26.2,4.4,50,16.8,69,35.8s31.3,42.8,35.8,69c1.1,6.6,6.8,11.2,13.3,11.2c0.8,0,1.5-0.1,2.3-0.2
                			c7.4-1.2,12.3-8.2,11.1-15.6c-5.4-31.7-20.4-60.6-43.3-83.5s-51.8-37.9-83.5-43.3c-7.4-1.2-14.3,3.7-15.6,11
                			S248.656,111.506,256.056,112.706z"></path>
                		<path d="M473.256,209.006c-8.9-52.2-33.5-99.7-71.3-137.5s-85.3-62.4-137.5-71.3c-7.3-1.3-14.2,3.7-15.5,11
                			c-1.2,7.4,3.7,14.3,11.1,15.6c46.6,7.9,89.1,30,122.9,63.7c33.8,33.8,55.8,76.3,63.7,122.9c1.1,6.6,6.8,11.2,13.3,11.2
                			c0.8,0,1.5-0.1,2.3-0.2C469.556,223.306,474.556,216.306,473.256,209.006z"></path>
                	</g>
                </g>
                </svg> 
            </span><span><?php echo wp_kses($contactnum, $allowed_tags); ?></span></li>
            <?php endif;
            if(!empty($email)): ?>
            <li><span class="footer-info-icon">
            <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
            	 viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
                    <g>
                    	<g>
                    		<path d="M467,61H45C20.218,61,0,81.196,0,106v300c0,24.72,20.128,45,45,45h422c24.72,0,45-20.128,45-45V106
                    			C512,81.28,491.872,61,467,61z M460.786,91L256.954,294.833L51.359,91H460.786z M30,399.788V112.069l144.479,143.24L30,399.788z
                    			 M51.213,421l144.57-144.57l50.657,50.222c5.864,5.814,15.327,5.795,21.167-0.046L317,277.213L460.787,421H51.213z M482,399.787
                    			L338.213,256L482,112.212V399.787z"/>
                    	</g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            <g>
            </g>
            </svg>

            </span><span><?php echo esc_html($email);?></span></li>
            <?php endif; ?>
        </ul>
    </div>
    <?php 
    }
    public function form( $instance ) {
        
        $widget_title = '';
        if (isset($instance['widget_title'])) {
           $widget_title = $instance['widget_title'];
        }
        $address = '';
        if (isset($instance['address'])) {
           $address = $instance['address'];
        }
        $email = '';
        if (isset($instance['email'])) {
           $email = $instance['email'];
        }
        $contactnum = '';
        if (isset($instance['contactnum'])) {
           $contactnum = $instance['contactnum'];
        }
    ?>
    <p>
    <label for="<?php echo esc_attr($this->get_field_id( 'widget_title' )); ?>">
    <?php esc_html_e( 'Search Title:','inland'); ?></label> 
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'widget_title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'widget_title' )); ?>" type="text" value="<?php echo esc_attr($widget_title); ?>" />
    </p>
    <p>
    <label for="<?php echo esc_attr($this->get_field_id( 'address' )); ?>">
    <?php esc_html_e( 'Adress :','inland'); ?></label> 
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'address' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'address' )); ?>" type="text" value="<?php echo esc_attr($address); ?>" />
    </p>
    <p>
    <label for="<?php echo esc_attr($this->get_field_id( 'email' )); ?>">
    <?php esc_html_e( 'Email :','inland'); ?></label> 
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'email' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'email' )); ?>" type="text" value="<?php echo esc_attr($email); ?>" />
    </p>
    <p>
    <label for="<?php echo esc_attr($this->get_field_id( 'contactnum' )); ?>">
    <?php esc_html_e( 'Phone :','inland'); ?></label> 
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'contactnum' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'contactnum' )); ?>" type="text" value="<?php echo esc_attr($contactnum); ?>" />
    </p>
    <?php 
    }
    public function update( $new_instance, $old_instance ) {
      $instance = array();
      $instance['widget_title'] = ( ! empty( $new_instance['widget_title'] ) ) ? strip_tags( $new_instance['widget_title'] ) : '';
      $instance['address'] = ( ! empty( $new_instance['address'] ) ) ? strip_tags( $new_instance['address'] ) : '';
      $instance['email'] = ( ! empty( $new_instance['email'] ) ) ? strip_tags( $new_instance['email'] ) : '';
      $instance['contactnum'] = ( ! empty( $new_instance['contactnum'] ) ) ? strip_tags( $new_instance['contactnum'] ) : '';
      $instance['website'] = ( ! empty( $new_instance['website'] ) ) ? strip_tags( $new_instance['website'] ) : '';
      return $instance;
    }
}

/**
 * Inland Recent Post
 */ 
class Inland_Widget_Recentpost extends WP_Widget {
     
    function  __construct() {
        parent::__construct(
    	    'Inland_widget_recentpost', // Base ID of your widget
    		esc_html__('Inland Recent Post', 'inland'),  // Widget name will appear in UI
    		 array( 'description' => esc_html__( 'Inland Recent Post', 'inland' ), ) // Widget description
		   );
    } 
    public function widget( $args, $instance ) {
        
        $app_widget_title = '';
        if ( isset( $instance[ 'app_widget_title' ] ) ) {
            $app_widget_title = $instance[ 'app_widget_title' ];
        } 
        
        $app_widget_number = '';
        if ( isset( $instance[ 'app_widget_number' ] ) ) {
           $app_widget_number = $instance[ 'app_widget_number' ];
        }  
    ?>
    <div class="it-sidebar-box recent-blog-one widget">
	    <?php if(!empty($app_widget_title)): ?>
            <h2 class="widget-title">
                <span class="heading-border">
                    <?php echo __($app_widget_title); ?>
                </span>
            </h2>
		<?php endif;?>
        <div class="it-recent-blog-post">
            <?php
            $args = array(
                    'post_type' =>'post',
                    'posts_per_page' => $app_widget_number,
                    'post_status' =>'publish',
                    );
            $inland_query = new WP_Query($args);
            if($inland_query->have_posts()) :
                while($inland_query->have_posts()) : $inland_query->the_post();
                
                if(has_post_thumbnail(get_the_ID())):
                    $attachment_url = wp_get_attachment_url(get_post_thumbnail_id(get_the_ID()), 'full');
                    $thum_image = inland_aq_resize($attachment_url, 98, 98, true);
                endif;	
            ?>
            <div class="it-recent-post">
                <?php if(!empty($thum_image)): ?>
                    <div class="it-img-post">
                        <a href="<?php echo esc_url(get_the_permalink(get_the_ID())); ?>"><img src="<?php echo esc_url($thum_image); ?>" alt="<?php esc_attr_e('image','inland'); ?>" /></a>
                    </div>
                <?php endif; ?>
                    <div class="it-post-title">
                        <a href="<?php echo esc_url(get_the_permalink(get_the_ID())); ?>"><?php inland_the_title(45); ?></a>
                        <p><?php echo get_the_date(); ?></p>
                    </div>
            </div>
            <?php
                endwhile;
            endif;
            ?>
	    </div>
    </div>
	<?php
    }
    public function form( $instance ) {
        $app_widget_title = '';
        if ( isset( $instance[ 'app_widget_title' ] ) ) {
            $app_widget_title = $instance[ 'app_widget_title' ];
        } 
        $app_widget_number = '';
        if ( isset( $instance[ 'app_widget_number' ] ) ) {
           $app_widget_number = $instance[ 'app_widget_number' ];
        }  
    ?> 
    <p>
    <label for="<?php echo esc_attr($this->get_field_id( 'app_widget_title' )); ?>">
    <?php esc_html_e( 'Title:','inland'); ?></label> 
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'app_widget_title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'app_widget_title' )); ?>" type="text" value="<?php echo esc_attr( $app_widget_title ); ?>" />
    </p>
    <p>
    <label for="<?php echo esc_attr($this->get_field_id( 'app_widget_number' )); ?>">
    <?php esc_html_e( 'Show No.of Post :','inland'); ?></label> 
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'app_widget_number' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'app_widget_number' )); ?>" type="text" value="<?php echo esc_attr( $app_widget_number ); ?>" />
    </p>
    <?php
    }
    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['app_widget_title'] = ( ! empty( $new_instance['app_widget_title'] ) ) ? strip_tags( $new_instance['app_widget_title'] ) : '';
        $instance['app_widget_number'] = ( ! empty( $new_instance['app_widget_number'] ) ) ? strip_tags( $new_instance['app_widget_number'] ) : '';
        return $instance;  
    }
 }